=== modified file 'bzrlib/__init__.py'
--- bzrlib/__init__.py	2005-10-26 13:57:50 +0000
+++ bzrlib/__init__.py	2005-10-27 00:02:07 +0000
@@ -18,27 +18,63 @@
 
 BZRDIR = ".bzr"
 
-DEFAULT_IGNORE = ['.bzr.log',
-                  '*~', '#*#', '*$', '.#*',
-                  '.*.sw[nop]', '.*.tmp',
-                  '*.tmp', '*.bak', '*.BAK', '*.orig',
-                  '*.o', '*.obj', '*.a', '*.py[oc]', '*.so', '*.o', '*.lo', '*.la', '*.exe',
-                  '*.elc', 
-                  '{arch}', '.arch-ids', '.arch-inventory', 'CVS', 'CVS.adm', '.svn', '_darcs', 
-                  'SCCS', 'RCS',
+# please keep these sorted (in C locale order) to aid merging
+DEFAULT_IGNORE = [
+                  '#*#',
+                  '*$',
                   '*,v',
-                  'BitKeeper',
+                  '*.BAK',
+                  '*.a',
+                  '*.bak',
+                  '*.elc',
+                  '*.exe',
+                  '*.la',
+                  '*.lo',
+                  '*.o',
+                  '*.o',
+                  '*.obj',
+                  '*.orig',
+                  '*.py[oc]',
+                  '*.so',
+                  '*.tmp',
+                  '*~',
+                  '.#*',
+                  '.*.sw[nop]',
+                  '.*.tmp',
+                  '.DS_Store',
+                  '.arch-ids',
+                  '.arch-inventory',
+                  '.bzr.log',
+                  '.del-*',
                   '.git',
-                  'TAGS', '.make.state', '.tmp*',
+                  '.jamdeps'
+                  '.libs',
+                  '.make.state',
                   '.sconsign*',
+                  '.svn',
                   '.tmp*',
-                  'autom4te*', 'config.guess', 'config.h.in', 'config.status', 
-                  'config.h', 'config.log', 'config.sub', 'configure.in',
-                  'aclocal.m4', 'stamp-h.in', 'Makefile.in', '.libs',
-                  'stamp-h1', 'stamp-h',
-                  '.jamdeps'
-                  '.del-*',
-                  '.DS_Store',]
+                  'BitKeeper',
+                  'CVS',
+                  'CVS.adm',
+                  'Makefile.in',
+                  'RCS',
+                  'SCCS',
+                  'TAGS',
+                  '_darcs',
+                  'aclocal.m4',
+                  'autom4te*',
+                  'config.guess',
+                  'config.h',
+                  'config.h.in',
+                  'config.log',
+                  'config.status',
+                  'config.sub',
+                  'configure.in',
+                  'stamp-h',
+                  'stamp-h.in',
+                  'stamp-h1',
+                  '{arch}',
+                  ]
 
 IGNORE_FILENAME = ".bzrignore"
 

